漏洞信息详情

Yahoo YUI Menu部件addItem方法跨站脚本攻击漏洞

  • CNNVD编号:CNNVD-201101-383
  • 危害等级: 中危
  • CVE编号: CVE-2010-4710
  • 漏洞类型: 跨站脚本
  • 发布时间: 2011-01-30
  • 威胁类型: 远程
  • 更新时间: 2020-10-10
  • 厂        商: yahoo
  • 漏洞来源:

漏洞简介

YUI是美国雅虎(Yahoo!)公司的一个开源的JavaScript和CSS库,它的作用是创建交互式Web应用程序。

YUI 2.9.0之前版本中的Menu部件的addItem方法中存在跨站脚本攻击漏洞。远程攻击者可以借助添加菜单字段注入任意web脚本或者HTML。该漏洞与将该字段识别为文本而不是HTML字段的文档有关。

漏洞公告

目前厂商还没有提供此漏洞的相关补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://yuilibrary.com/projects/yui2/ticket/2529231

参考网址

来源:http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-4710

链接:无

来源:www.ibm.com

链接:https://www.ibm.com/blogs/psirt/security-bulletin-security-vulnerabilities-have-been-identified-in-bigfix-platform-shipped-with-ibm-license-metric-tool-2/

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/YUI-Cross-Site-Scripting-via-Menu-Widget-AddItem-33517

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.3485/

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多